using System;
using System.Text;


namespace typePerso
{
    // Type crée par l'ulisateur
    // Exemple 1: creation du type UnInt par le biais d'une classe
    class UnInt
    {
        public int x = 10;

        public void SetX(int a)
        {
            x = a;
        }

    }
    // Exemple 2: creation du type StructAmoi par le biais d'une structure
    struct StructAmoi
    {
        public int b;
        public void meth(int a)
        {
            b = 1000 + a;
        }
    }
    class Program
    {
        static void Main(string[] args)
        {
            UnInt xref; // je cree une reference vers le type UnInt
            xref= new UnInt(); // xref fait référence à 1 nouvel objet de type UnInt
            Console.WriteLine(xref.x); // resultat: 10
            xref.SetX(20);
            Console.WriteLine(xref.x); // resultat: 20
            StructAmoi objstruct = new StructAmoi();
            objstruct.meth(200);
            Console.WriteLine(objstruct.b); 

            Console.ReadKey(); // attente appui touche
        }
    }
}